Bug 212405 - astro/cfitsio: Update to 3.390
Summary: astro/cfitsio: Update to 3.390
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-09-06 07:14 UTC by Wen Heping
Modified: 2016-09-20 01:16 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2016-09-06 07:14:12 UTC
Update to 3.390

Index: Makefile
===================================================================
--- Makefile    (revision 421402)
+++ Makefile    (working copy)
@@ -2,8 +2,7 @@
 # $FreeBSD$

 PORTNAME=      cfitsio
-PORTVERSION=   3.370
-PORTREVISION=  1
+PORTVERSION=   3.390
 CATEGORIES=    astro
 MASTER_SITES=  http://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/ \
                http://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/oldvers/ \
@@ -33,7 +32,7 @@
                SHLIB_MINOR_VER=${SHLIB_MINOR_VER}
 PORTDOCS=      *

-SHLIB_MAJOR_VER=2
+SHLIB_MAJOR_VER=5
 SHLIB_MINOR_VER=${PORTVERSION:S|0$||}

 do-install:
Index: distinfo
===================================================================
--- distinfo    (revision 421402)
+++ distinfo    (working copy)
@@ -1,2 +1,3 @@
-SHA256 (cfitsio3370.tar.gz) = 092897c6dae4dfe42d91d35a738e45e8236aa3d8f9b3ffc7f0e6545b8319c63a
-SIZE (cfitsio3370.tar.gz) = 4738430
+TIMESTAMP = 1473144718
+SHA256 (cfitsio3390.tar.gz) = 62d3d8f38890275cc7a78f5e9a4b85d7053e75ae43e988f1e2390e539ba7f409
+SIZE (cfitsio3390.tar.gz) = 4755390
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-08 09:16:40 UTC
@Wen can you include the proposed change as an attachment please
Comment 2 commit-hook freebsd_committer 2016-09-20 01:10:06 UTC
A commit references this bug:

Author: wen
Date: Tue Sep 20 01:09:50 UTC 2016
New revision: 422474
URL: https://svnweb.freebsd.org/changeset/ports/422474

Log:
  - Update to 3.390

  PR:		212405
  Submitted by:	wen@(myself)
  Approved by:	maintainer(timeout, >=14 days)

Changes:
  head/astro/cfitsio/Makefile
  head/astro/cfitsio/distinfo